Bug 127904 - sensors-detect detects sensors, but sensors program does not
sensors-detect detects sensors, but sensors program does not
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 01:38 EDT by Joe Acosta
Modified: 2015-03-04 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 12:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2004-07-15 01:38:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
Run sensors-detect

 Now follows a summary of the probes I have just done.
 Just press ENTER to continue:
 
Driver `eeprom' (should be inserted):
  Detects correctly:
  * Bus `SMBus Via Pro adapter at 5000' (Algorithm unavailable)
    Busdriver `i2c-viapro', I2C address 0x50
    Chip `SPD EEPROM' (confidence: 8)
  * Bus `SMBus Via Pro adapter at 5000' (Algorithm unavailable)
    Busdriver `i2c-viapro', I2C address 0x51
    Chip `SPD EEPROM' (confidence: 8)
 
Driver `via686a' (should be inserted):
  Detects correctly:
  * ISA bus, undetermined address (Busdriver `i2c-isa')
    Chip `VIA Technologies VT82C686 Integrated Sensors' (confidence: 9)
 

Then run sensors and I get
No sensors found!

modules are loaded though 

via686a 17480 0 - Live 0xe091f000
i2c_sensor 2368 1 via686a, Live 0xe08ed000
i2c_viapro 4940 0 - Live 0xe08c0000
i2c_isa 1664 0 - Live 0xe08d9000
i2c_core 18516 5 i2c_dev,via686a,i2c_sensor,i2c_viapro,i2c_isa, Live
0xe08f5000
pl2303 14084 0 - Live 0xe0900000






Version-Release number of selected component (if applicable):
kernel 2.6.5

How reproducible:
Always

Steps to Reproduce:
1. run sensors-detect
2. run sensors
3. make sure modules are loaded.  This used to work in fedora core 1
    

Additional info:
Comment 1 Joe Acosta 2004-07-22 23:41:03 EDT
It seems that both the i2c_viapro and i2c_isa modules get loaded as
well as the via686a module.  According to the lm_sensors web site the
via686a module NO longer works with i2c_viapro, however it used to in
kernel 2.4.  I am not sure that this will be fixed or if it will
remain a bug.  Sensors seem to be working again though after removing
the i2c_viapro module and reloading the via686a module.

Comment 2 Phil Knirsch 2004-10-18 12:03:10 EDT
Did you give newer versions of the lm_sensors package a try to see if
it has been fixed already upstream?

I mean, if they know that a certain combination won't work it
shouldn't be that hard to do the right thing then.

Read ya, Phil
Comment 3 Joe Acosta 2004-10-18 12:40:45 EDT
I do run up2date, so if there is a new package in up2date then I have
it.  

However I also have removed the i2c_viapro module from my kernel (
recompiled without it).  Since it is working, I have not retried.  I
only use the sensors to run the wmsesnsors applet to get an idea of if
my CPU is overheating or not.   
Comment 4 Matthew Miller 2005-04-26 11:27:16 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Joe Acosta 2005-04-26 11:52:43 EDT
You can close this.  I've upgraded to FC3 and my sensors are working fine. 
Except my sensors applit which crashes, but that's another issue.

Note You need to log in before you can comment on or make changes to this bug.